# Installation von Nextcloud

## Voraussetzungen
- SQL-Datenbank
- Ordnerstruktur anlegen: Ich habe ein eigenes Share erstellt
- Systemnutzer auf NAS anlegen. Im Terminal eingeben: "id NUTZER" und UID in
  docker-compose.yaml unter PUID eintragen. Ggf. auch die Gruppe anpassen (PDIG)
- Die Pfade unter "volumes" anpassen. 
- externe Laufwerke können wie unter "shares" dargestellt eingebunden werden.
  Danach in der Konfig -> externe Laufwerke hinzufügen


## Externer Zugriff:

1. NAS -> Einstellungen -> Externer Zugriff einen DDNS einrichten (MEINEDOMAIN.myds.me)
2. NAS -> Einstellungen -> Sicherheit -> Zertifikat anlegen
    z.B. cloud.MEINEDOMAIN.myds.me
3. NAS -> Einstellungen -> Anwendungsportal -> Reverse Proxy -> Erstellen
   - Beschreibung: nextcloud
   - Quelle: Protokoll: HTTPS
   - Quelle: Hostname: cloud.MEINEDOMAIN.myds.me
   - Quelle: Port: 443
   - "HSTS aktivieren" und "HTTP/2 aktivieren" markieren
   - Ziel: HTTP
   - Ziel Hostname: IP des NAS
   - Ziel Port: 8082 (siehe Port in docker-compose.yaml)


4. Port (80 und) 443 im Router an NAS weiterleiten
5. im Konfigfile von nextcloud (Volume1/nextcloud/config/config.php) unter
   "trusted domains" die Subdomain (cloud.MEINEDOMAIN.myds.me) ergänzen


## Start:

1. in das Verzeichnis wechseln
2. `docker-compose up -d`
3. `docker-compose logs -f` (zum Prüfen der Einstellungen)

## Update

"sh update.sh" im Terminal ausführen

## Problembehebung:

 - falls man manuell die Befehle ausführen möchte, dann z.B. `docker exec --user
   www-data -it DOCKERNAME php occ user:enable USER`
 
 - DOCKERNAME über `docker ps` auslesen